module.exports = {
    rules: {
        // ------------------------ Node.js 强制的风格 -------------------------------
        // 强制回调错误处理（当第一个参数以 err 开头时）
        'handle-callback-err': [ 'error', '^err.*$' ],
        // 禁用混合的 Requires
        'no-mixed-requires': 'error',
        // 不允许 new require
        'no-new-require': 'error',
        // 当使用 _dirname 和 _filename 时不允许字符串拼接，必须用 path.resolve(__dirname, xx)
        'no-path-concat': 'error',
        // 禁用未声明的变量
        'no-undef': 'error',
    }
};