module.exports = {
    env: {
        node: true,
        es6: true,
        browser: true,
        jquery: true,
        amd: true,
    },
    extends: [
        'eslint:recommended',
        './rules/errors.js',
        './rules/node.js',
        './rules/best.js'
    ],
    parserOptions: {
        sourceType: 'module',
        allowImportExportEverywhere: false,
    },
    plugins: [ 'eslint-plugin-promise', 'eslint-plugin-wework' ],
    globals: {
        wx: true,
        App: true,
        Page: true,
        getApp: true,
        Promise: true,
        getCurrentPages: true
    },
    rules: {
        strict: 'error',
    },
};
